Skip to main content
PUT
Update a component category

Authorizations

Authorization
string
header
required

Path Parameters

name
string
required

Name of the component category to update.

Body

application/json

Body of a PUT /v1/component-facets/{name} request.

allowed_values
object[]
display_name
string | null

Response

Component facet definition that describes a campaign component category and its allowed values.

Component facet definition that describes a campaign component category and its allowed values.

allowed_values
object[]
required

Allowed values that can be assigned within this component category.

created_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

display_name
string
required

Optional human-readable display name for the component category.

name
string
required

Unique component category name used by campaign component types.

updated_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"